Name:           photocollage
Summary:        Graphical tool to make photo collage posters
Group:	        Graphics/Photography
Version:        1.4.8
Release:        %mkrel 1
Url:            https://github.com/adrienverge/PhotoCollage
License:        GPLv2

Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  python3-devel

%description
PhotoCollage allows you to create photo collage posters. It assembles
the input photographs it is given to generate a big poster. Photos are
automatically arranged to fill the whole poster, then you can change the
final layout, dimensions, border or swap photos in the generated grid.
Eventually the final poster image can be saved in any size.

%prep
%autosetup -n PhotoCollage-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files photocollage
%find_lang %{name}


%files -f %{name}.lang -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{_bindir}/photocollage
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed May 14 2025 katnatek <katnatek> 1.4.8-1.mga10
+ Revision: 2183335
- Update to version 1.4.8
  Fix Source Url

* Fri Mar 07 2025 papoteur <papoteur> 1.4.7-2.mga10
+ Revision: 2161626
- rebuild for python3.13

* Sat Feb 15 2025 wally <wally> 1.4.7-1.mga10
+ Revision: 2149009
- fix dist and license

* Thu Feb 13 2025 papoteur <papoteur> 1.4.7-1bdk_mga10
+ Revision: 2148728
- imported package photocollage

